package controller;

import java.io.File;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.ObjectOutputStream;

public class ObjWriter {
    public static boolean write(Object obj, File out) {
        try (FileOutputStream fos = new FileOutputStream(out);
             ObjectOutputStream oos = new ObjectOutputStream(fos)
        ){
            oos.writeObject(obj);
            oos.flush();
            return true;
        } catch (IOException e) {
            throw new RuntimeException(e);
        }
    }
}
